package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class TPackLogModel {
    /**
     *
     */
    private Integer id;

    /**
     *
     */
    private String packId;

    /**
     * 单包时，=PACK_ID，多包时PACK_ID=第一包数据的ID或重新生成一个ID也可以
     */
    private String packGid;

    /**
     * 1:多包 0:单包
     */
    private String multiPackFlag;

    /**
     * 总包数
     */
    private Integer packCount;

    /**
     * 包序
     */
    private Integer packIndex;

    /**
     * 上下行标识
     */
    private String upordown;

    /**
     * 功能码
     */
    private String funCode;

    /**
     * 功能码名称
     */
    private String funName;

    /**
     * 中心站点
     */
    private String centralCode;

    /**
     * 遥测站点
     */
    private String stationCode;

    /**
     * 遥测站类型
     */
    private String stationType;

    /**
     * 数据时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date datatime;

    /**
     * 设备SN
     */
    private String deviceSn;

    /**
     * 报文字节数
     */
    private Integer rptLen;

    /**
     * 发报时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date rptTime;

    /**
     * 报文密钥
     */
    private String rptPwd;

    /**
     * 报文流水号
     */
    private String serialNum;

    /**
     * 数据接收时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date revTime;

    /**
     * 验证吗
     */
    private String checkNum;

    /**
     * CRC校验通过标志
     */
    private String crcCheckFlag;

    /**
     * 标志
     */
    private String flag;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 接收时间戳
     */
    private Long timeStamp;

    private String message;

    private String originmessage;

    private int page;
    private int rows;

    private String startTime;

    private String endTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPackId() {
        return packId;
    }

    public void setPackId(String packId) {
        this.packId = packId;
    }

    public String getPackGid() {
        return packGid;
    }

    public void setPackGid(String packGid) {
        this.packGid = packGid;
    }

    public String getMultiPackFlag() {
        return multiPackFlag;
    }

    public void setMultiPackFlag(String multiPackFlag) {
        this.multiPackFlag = multiPackFlag;
    }

    public Integer getPackCount() {
        return packCount;
    }

    public void setPackCount(Integer packCount) {
        this.packCount = packCount;
    }

    public Integer getPackIndex() {
        return packIndex;
    }

    public void setPackIndex(Integer packIndex) {
        this.packIndex = packIndex;
    }

    public String getUpordown() {
        return upordown;
    }

    public void setUpordown(String upordown) {
        this.upordown = upordown;
    }

    public String getFunCode() {
        return funCode;
    }

    public void setFunCode(String funCode) {
        this.funCode = funCode;
    }

    public String getFunName() {
        return funName;
    }

    public void setFunName(String funName) {
        this.funName = funName;
    }

    public String getCentralCode() {
        return centralCode;
    }

    public void setCentralCode(String centralCode) {
        this.centralCode = centralCode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public Date getDatatime() {
        return datatime;
    }

    public void setDatatime(Date datatime) {
        this.datatime = datatime;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public Integer getRptLen() {
        return rptLen;
    }

    public void setRptLen(Integer rptLen) {
        this.rptLen = rptLen;
    }

    public Date getRptTime() {
        return rptTime;
    }

    public void setRptTime(Date rptTime) {
        this.rptTime = rptTime;
    }

    public String getRptPwd() {
        return rptPwd;
    }

    public void setRptPwd(String rptPwd) {
        this.rptPwd = rptPwd;
    }

    public String getSerialNum() {
        return serialNum;
    }

    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    public Date getRevTime() {
        return revTime;
    }

    public void setRevTime(Date revTime) {
        this.revTime = revTime;
    }

    public String getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(String checkNum) {
        this.checkNum = checkNum;
    }

    public String getCrcCheckFlag() {
        return crcCheckFlag;
    }

    public void setCrcCheckFlag(String crcCheckFlag) {
        this.crcCheckFlag = crcCheckFlag;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getOriginmessage() {
        return originmessage;
    }

    public void setOriginmessage(String originmessage) {
        this.originmessage = originmessage;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName == null ? null : fileName.trim();
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getRows() {
        return rows;
    }

    public void setRows(int rows) {
        this.rows = rows;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Long getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(Long timeStamp) {
        this.timeStamp = timeStamp;
    }
}
